> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transparencyhubnetwork.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List questions with candidates

> Questions (positions) with their candidates, in ballot order.

Questions (positions) with their candidates, in ballot order.

**Required scope:** `elections:read`

```json 200 theme={null}
{
  "status": "success",
  "data": [
    {
      "id": 10,
      "election_id": 3,
      "order_index": 0,
      "title": "Chairperson",
      "description": null,
      "type": "single",
      "min_selections": 1,
      "max_selections": 1,
      "allow_write_in": false,
      "allow_abstain": true,
      "candidates": [
        {
          "id": 100,
          "question_id": 10,
          "member_id": 42,
          "display_name": "Ada Lovelace",
          "is_write_in": false,
          "is_abstain": false,
          "order_index": 0
        }
      ]
    }
  ]
}
```


## OpenAPI

````yaml GET /v1/elections/{election_id}/questions
openapi: 3.0.3
info:
  title: Transparency Hub Public API
  version: 1.7.0
  description: Key-authenticated REST API for association and chapter integrations.
servers:
  - url: https://api.transparencyhubnetwork.ai/api
  - url: https://testapi.transparencyhubnetwork.ai/api
    description: Test
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /v1/elections/{election_id}/questions:
    get:
      summary: List questions with candidates
      description: Requires scope `elections:read`.
      parameters:
        - name: election_id
          in: path
          required: true
          schema:
            type: integer
        - $ref: '#/components/parameters/chapterId'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ElectionQuestion'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    chapterId:
      name: chapter_id
      in: query
      schema:
        type: integer
      description: >-
        Required for association-wide keys; must match the key's chapter for
        chapter-bound keys.
  schemas:
    ElectionQuestion:
      type: object
      properties:
        id:
          type: integer
          nullable: true
        election_id:
          type: integer
          nullable: true
        order_index:
          type: integer
          nullable: true
        title:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        min_selections:
          type: integer
          nullable: true
        max_selections:
          type: integer
          nullable: true
        allow_write_in:
          type: boolean
          nullable: true
        allow_abstain:
          type: boolean
          nullable: true
        candidates:
          type: array
          items:
            $ref: '#/components/schemas/Candidate'
    Candidate:
      type: object
      properties:
        id:
          type: integer
          nullable: true
        question_id:
          type: integer
          nullable: true
        member_id:
          type: integer
          nullable: true
        display_name:
          type: string
          nullable: true
        is_write_in:
          type: boolean
          nullable: true
        is_abstain:
          type: boolean
          nullable: true
        order_index:
          type: integer
          nullable: true
    Error:
      type: object
      required:
        - status
        - code
        - message
      properties:
        status:
          type: string
          enum:
            - error
        code:
          type: string
        message:
          type: string
        details:
          type: object
  responses:
    ValidationError:
      description: validation_error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: insufficient_scope or chapter_forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: not_found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimited:
      description: rate_limited; see Retry-After
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.